Subject: bug#72391: 29.4; Info cannot find anchors after Info-on-current-buffer

From: Rahguzar <[email-masked]>
Date: Fri, 02 Aug 2024 11:22:30 +0200

Hi Eli,
  I tested and it is fixed for me. As always, thanks a lot!

Rahguzar

Eli Zaretskii <[email-masked]> writes:

>> Date: Wed, 31 Jul 2024 09:34:09 +0200
>> From:  Rahguzar via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> I am trying to generate an info manual for the SageMath. In the process
>> I found that Info can't follow references to anchors atfer `M-x
>> Info-on-current-buffer`. To see, please download the manual
>> https://github.com/user-attachments/files/16425138/sage.info.gz (It is
>> 12 MB compressed so very large). Then from Emacs -Q:
>> 
>> 1. Open the downloaded manual in a buffer.
>> 2. M-x Info-on-current-buffer RET
>> 3. Navigate to:  (sage.info)Top > Welcome to Sage Reference Manual > User Interfaces
>> 4. Click on Command Line Interface
>> 
>> This results in Info-find-node-2: No such node or anchor: ccf
>
> Thanks, should be fixed now on the master branch.